# Uses of Interface
javax.swing.event.MenuKeyListener

Packages that use MenuKeyListener
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of MenuKeyListener in javax.swing

Methods in javax.swing that return MenuKeyListener
Modifier and Type
Method
Description
`MenuKeyListener[]`
JMenuItem.`getMenuKeyListeners()`
Returns an array of all the `MenuKeyListener`s added to this JMenuItem with addMenuKeyListener().
`MenuKeyListener[]`
JPopupMenu.`getMenuKeyListeners()`
Returns an array of all the `MenuKeyListener`s added to this JPopupMenu with addMenuKeyListener().
Methods in javax.swing with parameters of type MenuKeyListener
Modifier and Type
Method
Description
`void`
JMenuItem.`addMenuKeyListener​(MenuKeyListener l)`
Adds a `MenuKeyListener` to the menu item.
`void`
JPopupMenu.`addMenuKeyListener​(MenuKeyListener l)`
Adds a `MenuKeyListener` to the popup menu.
`void`
JMenuItem.`removeMenuKeyListener​(MenuKeyListener l)`
Removes a `MenuKeyListener` from the menu item.
`void`
JPopupMenu.`removeMenuKeyListener​(MenuKeyListener l)`
Removes a `MenuKeyListener` from the popup menu.

## Uses of MenuKeyListener in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as MenuKeyListener
Modifier and Type
Field
Description
`protected MenuKeyListener`
BasicMenuItemUI.`menuKeyListener`
The instance of `MenuKeyListener`.
Methods in javax.swing.plaf.basic that return MenuKeyListener
Modifier and Type
Method
Description
`protected MenuKeyListener`
BasicMenuItemUI.`createMenuKeyListener​(JComponent c)`
Returns an instance of `MenuKeyListener`.